/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package websocketkaazingjavaclient;

import java.net.URI;
import com.kaazing.gateway.client.html5.WebSocket;
import com.kaazing.gateway.client.html5.WebSocketAdapter;
import com.kaazing.gateway.client.html5.WebSocketEvent;

/**
 *
 * @author lucas_j
 */
public class WebSocketKaazingJavaClient {

    public static void main(String[] args) throws Exception {
        final WebSocket ws = new WebSocket();
        System.out.println("running");
                
        ws.addWebSocketListener(
                new WebSocketAdapter() {

                 
                    @Override
                    public void onOpen(WebSocketEvent openEvent) {
                        System.out.println("Connection to Server is up!");
                        // we are able to talk to the WebSocket gateway
                        try {
                            ws.send("{uniqueId:918918, slideNumber:4}");
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                    }
                });

                final WebSocket ws2 = new WebSocket();
        System.out.println("running");
                
        ws2.addWebSocketListener(
                new WebSocketAdapter() {

                    @Override
                    public void onMessage(WebSocketEvent messageEvent) {
                        System.out.println("Received Event Data: " + messageEvent.getData());
                        // let's close the open connection...
                    }

                    @Override
                    public void onOpen(WebSocketEvent openEvent) {
                        System.out.println("Connection to Listener  is up!");
                    }
                });
         ws.connect(new URI("ws://localhost:8001/sender"));

        ws2.connect(new URI("ws://localhost:8001/listener"));
        Thread.sleep(2000);
         ws.send("{uniqueId:918918, slideNumber:2}");
        Thread.sleep(5000);
        System.out.println("done");

    }
}
